;;Autor: Markus Rietz 
;;www.3d-animandesign.de

(script-fu-register 
 "all-layers-to-image-size"
 "All Layers to Image Size"
 "resize all layers to image size"
 "Markus Rietz"
 "Markus Rietz, GNU"
 "04/04/2012"
 ""
 
 SF-IMAGE    "select prime image" 1;Image_AImage
 SF-DRAWABLE "select layer" 1;DrawableA_Layer
 )

(script-fu-menu-register "all-layers-to-image-size"
                         "<Image>/Layer/")

(define	(all-layers-to-image-size 	image
                                        layer
 )
  ;___________________________________Additional Variables
  (let*(
        (looptimes  (car (gimp-image-get-layers image ) ))
        )
        (define (get-LayerID-by-counter image 
                                        counter
                                        )

      (let*((List '())
            (LayerID -1)
            
            ) 
        (set! List (vector->list(cadr (gimp-image-get-layers image ) )))
        (while (> counter 0)
               (if (not (= (length List) 0))
                   (begin
                     (set! LayerID  (car List))
                     (set! List  (cdr List))
                     
                     )
                   (begin
                     (set! LayerID -1)
                     )
                   )
               (set! counter (- counter 1))
               )
        LayerID     
        ))
    
(while(> looptimes 0)
      (gimp-layer-resize-to-image-size (get-LayerID-by-counter image looptimes))
      (set! looptimes (- looptimes 1))
   )  
    
  (gimp-message "Done!")  
    
    ))